## org.eclipse.xsd.ecore
Class NameMangler

    java.lang.Object
      org.eclipse.xsd.ecore.NameMangler

Direct Known Subclasses:
  MapBuilder

    public class NameMangler

extends java.lang.Object

Field Summary
`protected static java.util.List<java.lang.String>` `DOMAINS`
`protected static int` `LOWER_CASE`
`protected static int` `UNCHANGED_CASE`
`protected static int` `UPPER_CASE`

Constructor Summary
`NameMangler()`

Method Summary
`protected java.util.List<java.lang.String>` `parseName(java.lang.String sourceName, char separator)`
`java.lang.String` `qualifiedPackageName(java.lang.String namespace)`
`java.lang.String` `uncapName(java.lang.String name)`
`protected java.lang.String` `validName(java.lang.String name, boolean isUpperCase)`
`protected java.lang.String` `validName(java.lang.String name, boolean isUpperCase, java.lang.String prefix)`
`protected java.lang.String` `validName(java.lang.String name, int casing, java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAINS

    protected static final java.util.List<java.lang.String> DOMAINS

### UNCHANGED_CASE

    protected static final int UNCHANGED_CASE

See Also:
  Constant Field Values

### UPPER_CASE

    protected static final int UPPER_CASE

See Also:
  Constant Field Values

### LOWER_CASE

    protected static final int LOWER_CASE

See Also:
  Constant Field Values

Constructor Detail

### NameMangler

    public NameMangler()

Method Detail

### uncapName

    public java.lang.String uncapName(java.lang.String name)

### qualifiedPackageName

    public java.lang.String qualifiedPackageName(java.lang.String namespace)

### validName

    protected java.lang.String validName(java.lang.String name,
                                         boolean isUpperCase)

### validName

    protected java.lang.String validName(java.lang.String name,
                                         boolean isUpperCase,
                                         java.lang.String prefix)

### validName

    protected java.lang.String validName(java.lang.String name,
                                         int casing,
                                         java.lang.String prefix)

### parseName

    protected java.util.List<java.lang.String> parseName(java.lang.String sourceName,
                                                         char separator)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.